' This is file zbargtk.bi
' (FreeBasic binding for ZBar library's GTK-Widget - version 0.10)
'
' translated with help of h_2_bi.bas by
' Thomas[ dot ]Freiherr[ at ]gmx[ dot ]net.
'
' Licence: LGPLv2.1
' (C) 2013 Thomas[ dot ]Freiherr[ at ]gmx[ dot ]net
'
'
' Original license text:
'/*------------------------------------------------------------------------
 '*  Copyright 2008-2009 (c) Jeff Brown <spadix@users.sourceforge.net>
 '*
 '*  This file is part of the ZBar Bar Code Reader.
 '*
 '*  The ZBar Bar Code Reader is free software; you can redistribute it
 '*  and/or modify it under the terms of the GNU Lesser Public License as
 '*  published by the Free Software Foundation; either version 2.1 of
 '*  the License, or (at your option) any later version.
 '*
 '*  The ZBar Bar Code Reader is distributed in the hope that it will be
 '*  useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 '*  of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 '*  GNU Lesser Public License for more details.
 '*
 '*  You should have received a copy of the GNU Lesser Public License
 '*  along with the ZBar Bar Code Reader; if not, write to the Free
 '*  Software Foundation, Inc., 51 Franklin St, Fifth Floor,
 '*  Boston, MA  02110-1301  USA
 '*
 '*  http://sourceforge.net/projects/zbar
 '*------------------------------------------------------------------------*/

EXTERN "C" LIB "zbargtk"

#IFNDEF __ZBAR_GTK_H__
#DEFINE __ZBAR_GTK_H__
#INCLUDE ONCE "gtk/gtk.bi"
#include ONCE "zbar.bi"

#DEFINE ZBAR_TYPE_GTK (zbar_gtk_get_type())
#DEFINE ZBAR_GTK(obj) _
    (G_TYPE_CHECK_INSTANCE_CAST((obj), ZBAR_TYPE_GTK, ZBarGtk))
#DEFINE ZBAR_GTK_CLASS(klass) _
    (G_TYPE_CHECK_CLASS_CAST((klass), ZBAR_TYPE_GTK, ZBarGtkClass))
#DEFINE ZBAR_IS_GTK(obj) _
    (G_TYPE_CHECK_INSTANCE_TYPE((obj), ZBAR_TYPE_GTK))
#DEFINE ZBAR_IS_GTK_CLASS(klass) _
    (G_TYPE_CHECK_CLASS_TYPE((klass), ZBAR_TYPE_GTK))
#DEFINE ZBAR_GTK_GET_CLASS(obj) _
    (G_TYPE_INSTANCE_GET_CLASS((obj), ZBAR_TYPE_GTK, ZBarGtkClass))

TYPE ZBarGtk AS _ZBarGtk
TYPE ZBarGtkClass AS _ZBarGtkClass

TYPE _ZBarGtk
	AS GtkWidget widget
	AS gpointer PTR _private
END TYPE

TYPE _ZBarGtkClass
	AS GtkWidgetClass parent_class
	decoded AS SUB(BYVAL AS ZBarGtk PTR, BYVAL AS zbar_symbol_type_t, BYVAL AS CONST ZSTRING PTR)
	decoded_text AS SUB(BYVAL AS ZBarGtk PTR, BYVAL AS CONST ZSTRING PTR)
	scan_image AS SUB(BYVAL AS ZBarGtk PTR, BYVAL AS GdkPixbuf PTR)
END TYPE

DECLARE FUNCTION zbar_gtk_get_type() AS GType
DECLARE FUNCTION zbar_gtk_new() AS GtkWidget PTR
DECLARE SUB zbar_gtk_scan_image(BYVAL AS ZBarGtk PTR, BYVAL AS GdkPixbuf PTR)
DECLARE FUNCTION zbar_gtk_get_video_device(BYVAL AS ZBarGtk PTR) AS CONST ZSTRING PTR
DECLARE SUB zbar_gtk_set_video_device(BYVAL AS ZBarGtk PTR, BYVAL AS CONST ZSTRING PTR)
DECLARE FUNCTION zbar_gtk_get_video_enabled(BYVAL AS ZBarGtk PTR) AS gboolean
DECLARE SUB zbar_gtk_set_video_enabled(BYVAL AS ZBarGtk PTR, BYVAL AS gboolean)
DECLARE FUNCTION zbar_gtk_get_video_opened(BYVAL AS ZBarGtk PTR) AS gboolean
DECLARE FUNCTION zbar_gtk_image_from_pixbuf(BYVAL AS zbar_image_t PTR, BYVAL AS GdkPixbuf PTR) AS gboolean

#ENDIF ' __ZBAR_GTK_H__

END EXTERN ' (h_2_bi -P_oCD option)
